#include <common/gdipoint.hpp>

GDIPoint &GDIPoint::operator--(void)
{
	x(x()-1);
	y(y()-1);
	return *this;
}

GDIPoint GDIPoint::operator--(int /*prefixDummy*/)
{
	GDIPoint prePoint(*this);
  --(*this);
  return prePoint;
}

GDIPoint GDIPoint::operator++(int /*prefixDummy*/)
{
	GDIPoint prePoint(*this);
	++(*this);
	return prePoint;
}

GDIPoint GDIPoint::operator+(const GDIPoint &someGDIPoint)const
{
	GDIPoint tmpPoint(*this);
	tmpPoint+=someGDIPoint;
	return tmpPoint;
}

